Error after SDK 31 update


#1

Hi, i’m getting this error message after updating to SDK 31

Here’s my package.json

{
  "name": "aidoo-technician",
  "version": "3.3.0",
  "private": true,
  "author": "cdb",
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "eject": "expo eject",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "build": "rm -rf ./build && gulp image && tsc -w --skipLibCheck",
    "linter": "tslint --fix /src/**/*.{ts,tsx,js,jsx} -t verbose",
    "precommit": "lint-staged",
    "test": "node ./node_modules/jest/bin/jest.js"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "npm run linter",
      "git add"
    ]
  },
  "jest": "./jest.config.js",
  "dependencies": {
    "@expo/vector-icons": "^8.0.0",
    "@redux-offline/redux-offline": "^2.4.0",
    "@types/node": "^7.0.18",
    "applicationconfig-module": "^1.0.5",
    "attachment-module": "^1.0.10",
    "authentication-module": "^2.0.5",
    "availability-module": "^2.1.4",
    "axios": "^0.18.0",
    "client-module": "^2.0.5",
    "commons-module": "^2.3.6",
    "datacontrols-module": "^1.0.8",
    "expo": "^31.0.0",
    "i18next": "^8.4.2",
    "jobs-module": "^2.1.2",
    "lodash": "^4.17.4",
    "moment": "^2.19.1",
    "native-base": "^2.8.0",
    "picture-module": "^2.0.2",
    "react": "16.5.0",
    "react-i18next": "^8.3.5",
    "react-native": "https://github.com/expo/react-native/archive/sdk-31.0.0.tar.gz",
    "react-native-branch": "^2.0.0",
    "react-native-collapsible": "^0.13.0",
    "react-native-easy-toast": "^1.1.0",
    "react-native-is-iphonex": "^1.0.1",
    "react-native-loading-spinner-overlay": "^0.5.2",
    "react-native-maps": "^0.17.1",
    "react-native-modal-datetime-picker": "^5.1.0",
    "react-native-modal-dropdown": "^0.6.2",
    "react-native-modalbox": "^1.6.0",
    "react-native-simple-radio-button": "^2.7.1",
    "react-native-vector-icons": "^4.4.0",
    "react-navigation": "^2.18.2",
    "react-navigation-addons": "0.0.0",
    "react-redux": "^5.0.4",
    "redux": "^3.6.0",
    "redux-thunk": "^2.2.0",
    "rn-draw": "github:clementino36/rn-draw",
    "sentry-expo": "~1.9.0",
    "signature-module": "^1.0.6",
    "tag-module": "^1.1.8",
    "uglify-es": "^3.2.8"
  },
  "devDependencies": {
    "@types/react": "^15.0.24",
    "babel-helper-remap-async-to-generator": "^6.24.1",
    "babel-plugin-module-resolver": "^3.1.1",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "babel-plugin-transform-es2015-modules-commonjs": "^6.26.2",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-expo": "^5.0.0",
    "babel-preset-react-native": "^1.9.1",
    "babel-preset-react-native-stage-0": "^1.0.1",
    "babel-preset-stage-0": "^6.24.1",
    "enzyme": "^3.7.0",
    "gulp": "^3.9.1",
    "gulp-image": "^2.7.3",
    "gulp-rename": "^1.2.2",
    "gulp-replace-task": "^0.11.0",
    "gulp-run": "^1.7.1",
    "husky": "^0.14.3",
    "jest": "^23.6.0",
    "jest-expo": "^31.0.0",
    "lint-staged": "^7.2.0",
    "prettier": "^1.14.2",
    "react-addons-test-utils": "^15.5.1",
    "react-test-renderer": "^16.3.1",
    "remote-redux-devtools": "^0.5.13",
    "run-sequence": "^1.2.2",
    "tslint": "^5.11.0",
    "tslint-react": "^3.0.0",
    "typescript": "^3.0.1",
    "typings": "^2.1.1",
    "yargs": "^6.5.0"
  }
}

and my app.json

{
  "expo": {
    "sdkVersion": "31.0.0",
    "privacy": "unlisted",
    "name": "Aidoo Technician",
    "icon": "./src/assets/icon.png",
    "splash": {
      "image": "./src/assets/commons/splashscreen.png",
      "resizeMode": "contain"
    },
    "orientation": "portrait",
    "version": "3.3.0",
    "slug": "aidoo-technician-dev",
    "platforms": ["ios", "android"],
    "ios": {
      "bundleIdentifier": "com.emixis.aidoo-technician",
      "supportsTablet": true,
      "infoPlist": {
        "LSApplicationQueriesSchemes": [
          "comgooglemaps"
        ]
      }
    },
    "android": {
      "package": "com.emixis.aidooTechnician",
      "versionCode": 16,
      "permissions": [
        "CAMERA",
        "ACCESS_COARSE_LOCATION",
        "ACCESS_FINE_LOCATION",
        "CAMERA_ROLL"
      ]
    },
    "hooks": {
      "postPublish": [
        {
          "file": "sentry-expo/upload-sourcemaps",
          "config": {
            "organization": "emixis",
            "project": "aidoo-technician",
            "authToken": "6b73349482e943e7b21a3f732807c86ea6c55229fa664d39952ef2b70f3ceed2"
          }
        }
      ]
    }
  }
}

Never had this error before, and when I reverse to SDK 30, everything works fine.


#2

Thanks for submitting this issue! Let’s track the problem in https://github.com/expo/expo/issues/2596. :slightly_smiling_face:


closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.